local T, C, L, _ = unpack(select(2, ...))
if C.skins.blizzard_frames ~= true then return end

----------------------------------------------------------------------------------------
--	Arena skin
----------------------------------------------------------------------------------------
local function LoadSkin()
	-- BattlefieldFrame
	BattlefieldFrame:StripTextures(true)
	BattlefieldFrame:CreateBackdrop("Transparent")
	BattlefieldFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	BattlefieldFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)

	BattlefieldFrame:DisableDrawLayer("BACKGROUND")

	BattlefieldFrameFrameLabel:ClearAllPoints()
	BattlefieldFrameFrameLabel:SetPoint("TOP", BattlefieldFrame.backdrop, "TOP", 0, -10)

	BattlefieldListScrollFrame:StripTextures(true)
	T.SkinScrollBar(BattlefieldListScrollFrameScrollBar)
	BattlefieldFrameJoinButton:SkinButton()
	BattlefieldFrameCancelButton:SkinButton()
	BattlefieldFrameGroupJoinButton:SkinButton()
	T.SkinCloseButton(BattlefieldFrameCloseButton, BattlefieldFrame.backdrop)

	BattlefieldFrame.zones_bg = CreateFrame("Frame", "BattlefieldFrameZonesBackground", BattlefieldFrame)
	BattlefieldFrame.zones_bg:CreateBackdrop("Transparent")
	BattlefieldFrame.zones_bg:SetWidth(324)
	BattlefieldFrame.zones_bg:SetHeight(204)
	BattlefieldFrame.zones_bg:SetPoint("TOPLEFT", BattlefieldFrame.backdrop, "TOPLEFT", 9, -62)

	BattlefieldFrame.tex1 = BattlefieldFrame.backdrop:CreateTexture("BattlefieldFrameWorldMap1", "ARTWORK")
	BattlefieldFrame.tex1:SetTexture("Interface\\BattlefieldFrame\\UI-Battlefield-WorldMap1")
	BattlefieldFrame.tex1:SetPoint("TOPLEFT", 10, -64)
	BattlefieldFrame.tex1:SetHeight(240)
	BattlefieldFrame.tex2 = BattlefieldFrame.backdrop:CreateTexture("BattlefieldFrameWorldMap2", "ARTWORK")
	BattlefieldFrame.tex2:SetTexture("Interface\\BattlefieldFrame\\UI-Battlefield-WorldMap2")
	BattlefieldFrame.tex2:SetPoint("LEFT", BattlefieldFrame.tex1, "RIGHT", 0, 0)
	BattlefieldFrame.tex2:SetHeight(240)

	BattlefieldFrameNameHeader:ClearAllPoints()
	BattlefieldFrameNameHeader:SetPoint("BOTTOM", BattlefieldListScrollFrame, "TOP", 0, 20)
	BattlefieldZone1:ClearAllPoints()
	BattlefieldZone1:SetPoint("TOPLEFT", BattlefieldFrame, "TOPLEFT", 23, -80)

	BattlefieldFrame.textbox = CreateFrame("Frame", "BattlefieldFrameTextBox", BattlefieldFrame)
	BattlefieldFrame.textbox:CreateBackdrop("Transparent")
	BattlefieldFrame.textbox:SetWidth(324)
	BattlefieldFrame.textbox:SetHeight(110)
	BattlefieldFrame.textbox:SetPoint("BOTTOM", BattlefieldFrame.backdrop, "BOTTOM", 0, 34)

	BattlefieldFrameZoneDescription:SetFontObject(GameFontWhite)
	BattlefieldFrameZoneDescription:ClearAllPoints()
	BattlefieldFrameZoneDescription:SetPoint("TOPLEFT", BattlefieldFrame.textbox, "TOPLEFT", 4, -4)
	BattlefieldFrameZoneDescription:SetPoint("BOTTOMRIGHT", BattlefieldFrame.textbox, "BOTTOMRIGHT", -4, 4)

	BattlefieldFrameCancelButton:SkinButton()
	BattlefieldFrameJoinButton:SkinButton()
	BattlefieldFrameGroupJoinButton:SkinButton()

	BattlefieldFrameCancelButton:SetPoint("BOTTOMRIGHT", BattlefieldFrame.backdrop, "BOTTOMRIGHT", -4, 4)
	BattlefieldFrameGroupJoinButton:SetPoint("RIGHT", BattlefieldFrameJoinButton, "LEFT", -2, 0)

	-- ArenaFrame
	ArenaFrame:StripTextures(true)
	ArenaFrame:CreateBackdrop("Transparent")
	ArenaFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	ArenaFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)

	T.SkinCloseButton(ArenaFrameCloseButton, ArenaFrame.backdrop)

	ArenaFrame:DisableDrawLayer("BACKGROUND")

	ArenaFrameFrameLabel:ClearAllPoints()
	ArenaFrameFrameLabel:SetPoint("TOP", TabardFrame.backdrop, "TOP", 0, -10)

	ArenaFrame.zones_bg = CreateFrame("Frame", "ArenaFrameZonesBackground", ArenaFrame)
	ArenaFrame.zones_bg:CreateBackdrop("Transparent")
	ArenaFrame.zones_bg:SetWidth(324)
	ArenaFrame.zones_bg:SetHeight(204)
	ArenaFrame.zones_bg:SetPoint("TOPLEFT", ArenaFrame.backdrop, "TOPLEFT", 9, -62)

	ArenaFrame.tex1 = ArenaFrame.backdrop:CreateTexture("ArenaFrameWorldMap1", "ARTWORK")
	ArenaFrame.tex1:SetTexture("Interface\\BattlefieldFrame\\UI-Battlefield-WorldMap1")
	ArenaFrame.tex1:SetPoint("TOPLEFT", 10, -64)
	ArenaFrame.tex1:SetHeight(240)
	ArenaFrame.tex2 = ArenaFrame.backdrop:CreateTexture("ArenaFrameWorldMap2", "ARTWORK")
	ArenaFrame.tex2:SetTexture("Interface\\BattlefieldFrame\\UI-Battlefield-WorldMap2")
	ArenaFrame.tex2:SetPoint("LEFT", ArenaFrame.tex1, "RIGHT", 0, 0)
	ArenaFrame.tex2:SetHeight(240)

	ArenaFrameNameHeader:ClearAllPoints()
	ArenaFrameNameHeader:SetPoint("BOTTOMLEFT", ArenaFrameDivider, "TOPLEFT", 14, 60)
	ArenaZone1:ClearAllPoints()
	ArenaZone1:SetPoint("TOPLEFT", ArenaFrame, "TOPLEFT", 23, -107)

	ArenaFrameNameHeader2:ClearAllPoints()
	ArenaFrameNameHeader2:SetPoint("BOTTOMLEFT", ArenaFrameDivider, "TOPLEFT", 14, -28)
	ArenaZone4:ClearAllPoints()
	ArenaZone4:SetPoint("TOPLEFT", ArenaZone3, "TOPLEFT", 0, -57)

	ArenaFrame.textbox = CreateFrame("Frame", "ArenaFrameTextBox", ArenaFrame)
	ArenaFrame.textbox:CreateBackdrop("Transparent")
	ArenaFrame.textbox:SetWidth(324)
	ArenaFrame.textbox:SetHeight(110)
	ArenaFrame.textbox:SetPoint("BOTTOM", ArenaFrame.backdrop, "BOTTOM", 0, 34)

	ArenaFrameZoneDescription:SetFontObject(GameFontWhite)
	ArenaFrameZoneDescription:ClearAllPoints()
	ArenaFrameZoneDescription:SetPoint("TOPLEFT", ArenaFrame.textbox, "TOPLEFT", 4, -4)
	ArenaFrameZoneDescription:SetPoint("BOTTOMRIGHT", ArenaFrame.textbox, "BOTTOMRIGHT", -4, 4)

	ArenaFrameCancelButton:SkinButton()
	ArenaFrameJoinButton:SkinButton()
	ArenaFrameGroupJoinButton:SkinButton()

	ArenaFrameCancelButton:SetPoint("BOTTOMRIGHT", ArenaFrame.backdrop, "BOTTOMRIGHT", -4, 4)
	ArenaFrameGroupJoinButton:SetPoint("RIGHT", ArenaFrameJoinButton, "LEFT", -2, 0)

	PVPReadyDialog:StripTextures()
	PVPReadyDialog:SetTemplate("Transparent")
	PVPReadyDialog.enterButton:SkinButton()
	PVPReadyDialog.hideButton:SkinButton()
	EnterBattleButton:SkinButton()
end

table.insert(T.SkinFuncs["ShestakUI"], LoadSkin)