local T, C, L, _ = unpack(select(2, ...))
if C.skins.blizzard_frames ~= true then return end -- incomplete

----------------------------------------------------------------------------------------
--	CraftUI skin
----------------------------------------------------------------------------------------
local function LoadSkin()
	CRAFTS_DISPLAYED = 25

	UIPanelWindows["CraftFrame"] = {area = "doublewide", pushable = 0, whileDead = 1}

	local CraftFrame = _G["CraftFrame"]
	CraftFrame:StripTextures(true)
	CraftFrame:CreateBackdrop("Transparent")
	CraftFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	CraftFrame.backdrop:SetPoint("BOTTOMRIGHT", -34, 0)
	CraftFrame:SetSize(720, 508)

	CraftFrame.bg1 = CreateFrame("Frame", nil, CraftFrame)
	CraftFrame.bg1:SetTemplate("Transparent")
	CraftFrame.bg1:SetPoint("TOPLEFT", 14, -92)
	CraftFrame.bg1:SetPoint("BOTTOMRIGHT", -367, 4)
	CraftFrame.bg1:SetFrameLevel(CraftFrame.bg1:GetFrameLevel() - 1)

	CraftFrame.bg2 = CreateFrame("Frame", nil, CraftFrame)
	CraftFrame.bg2:SetTemplate("Transparent")
	CraftFrame.bg2:SetPoint("TOPLEFT", CraftFrame.bg1, "TOPRIGHT", 3, 0)
	CraftFrame.bg2:SetPoint("BOTTOMRIGHT", CraftFrame, "BOTTOMRIGHT", -38, 4)
	CraftFrame.bg2:SetFrameLevel(CraftFrame.bg2:GetFrameLevel() - 1)

	CraftRankFrameBorder:StripTextures()

	CraftRankFrame:StripTextures()
	CraftRankFrame:CreateBackdrop()
	CraftRankFrame:SetSize(420, 18)
	CraftRankFrame:ClearAllPoints()
	CraftRankFrame:SetPoint("TOP", -10, -38)
	CraftRankFrame:SetStatusBarTexture(C.media.blank)

	CraftRankFrameSkillName:Hide()
	CraftRankFrameSkillRank:ClearAllPoints()
	CraftRankFrameSkillRank:SetParent(CraftRankFrame)
	CraftRankFrameSkillRank:SetPoint("CENTER", CraftRankFrame, "CENTER", 58, 0)

	CraftListScrollFrame:StripTextures()
	CraftListScrollFrame:SetSize(310, 405)
	CraftListScrollFrame:ClearAllPoints()
	CraftListScrollFrame:SetPoint("TOPLEFT", 17, -95)

	CraftDetailScrollFrame:StripTextures()
	CraftDetailScrollFrame:SetSize(300, 381)
	CraftDetailScrollFrame:ClearAllPoints()
	CraftDetailScrollFrame:SetPoint("TOPRIGHT", CraftFrame, -60, -95)
	CraftDetailScrollFrame.scrollBarHideable = nil

	CraftDetailScrollChildFrame:StripTextures()
	CraftDetailScrollChildFrame:SetSize(300, 150)

	T.SkinScrollBar(CraftListScrollFrameScrollBar)
	T.SkinScrollBar(CraftDetailScrollFrameScrollBar)
	CraftDetailScrollFrameScrollBar:SetPoint("TOPLEFT", CraftDetailScrollFrame, "TOPRIGHT", 3, -16)

	T.SkinDropDownBox(CraftFrameFilterDropDown, 160)
	CraftFrameFilterDropDown:ClearAllPoints()
	CraftFrameFilterDropDown:SetPoint("RIGHT", CraftRankFrame, "RIGHT", 9, -30)

	T.SkinCheckBox(CraftFrameAvailableFilterCheckButton)
	CraftFrameAvailableFilterCheckButton:ClearAllPoints()
	CraftFrameAvailableFilterCheckButton:SetPoint("LEFT", CraftFrameFilterDropDown, "RIGHT", 9, 0)

	CraftCancelButton:SetWidth(75)
	CraftCancelButton:ClearAllPoints()
	CraftCancelButton:SetPoint("TOPRIGHT", CraftDetailScrollFrame, "BOTTOMRIGHT", 19, -3)
	CraftCancelButton:SkinButton()

	CraftCreateButton:SetWidth(75)
	CraftCreateButton:ClearAllPoints()
	CraftCreateButton:SetPoint("TOPRIGHT", CraftCancelButton, "TOPLEFT", -3, 0)
	CraftCreateButton:SkinButton()

	CraftIcon:StripTextures()
	CraftIcon:SetTemplate("Default")
	CraftIcon:StyleButton(true)
	CraftIcon:SetSize(47, 47)
	CraftIcon:SetPoint("TOPLEFT", 1, -3)

	CraftName:SetPoint("TOPLEFT", 55, -3)

	T.SkinCloseButton(CraftFrameCloseButton, CraftFrame.backdrop)

	CraftExpandButtonFrame:StripTextures()
		
	for i = 9, CRAFTS_DISPLAYED do
		CreateFrame("Button", "Craft"..i, CraftFrame, "CraftButtonTemplate"):SetPoint("TOPLEFT", _G["Craft"..i - 1], "BOTTOMLEFT")
	end

	for i = 1, MAX_CRAFT_REAGENTS do
		local reagent = _G["CraftReagent"..i]
		local icon = _G["CraftReagent"..i.."IconTexture"]
		local count = _G["CraftReagent"..i.."Count"]
		local name = _G["CraftReagent"..i.."Name"]
		local nameFrame = _G["CraftReagent"..i.."NameFrame"]

		reagent:SetTemplate("Default")
		reagent:StyleButton(true)
		reagent:SetSize(143, 40)

		icon.backdrop = CreateFrame("Frame", nil, reagent)
		icon.backdrop:SetTemplate("Default")
		icon.backdrop:SetPoint("TOPLEFT", icon, -1, 1)
		icon.backdrop:SetPoint("BOTTOMRIGHT", icon, 1, -1)

		icon:SetTexCoord(0.1, 0.9, 0.1, 0.9)
		icon:SetDrawLayer("OVERLAY")
		icon:SetSize(38, 38)
		icon:SetPoint("TOPLEFT", 1, -1)
		icon:SetParent(icon.backdrop)

		count:SetParent(icon.backdrop)
		count:SetDrawLayer("OVERLAY")

		name:SetPoint("LEFT", nameFrame, "LEFT", 20, 0)

		nameFrame:Kill()
	end

	CraftDescription:ClearAllPoints()
	CraftDescription:SetPoint("TOPLEFT", CraftIcon, "BOTTOMLEFT", 5, -10)

	CraftReagentLabel:ClearAllPoints()
	CraftReagentLabel:SetPoint("TOPLEFT", CraftDescription, "BOTTOMLEFT", 0, -10)

	CraftReagent1:SetPoint("TOPLEFT", CraftReagentLabel, "BOTTOMLEFT", -3, -3)
	CraftReagent2:SetPoint("LEFT", CraftReagent1, "RIGHT", 3, 0)
	CraftReagent4:SetPoint("LEFT", CraftReagent3, "RIGHT", 3, 0)
	CraftReagent6:SetPoint("LEFT", CraftReagent5, "RIGHT", 3, 0)
	CraftReagent8:SetPoint("LEFT", CraftReagent7, "RIGHT", 3, 0)

	hooksecurefunc("CraftFrame_SetSelection", function(id)
		CraftRankFrame:SetStatusBarColor(0.13, 0.28, 0.85)

		if CraftIcon:GetNormalTexture() then
			CraftDescription:SetAlpha(1)
			CraftReagentLabel:SetAlpha(1)
			CraftIcon:SetAlpha(1)
			CraftIcon:GetNormalTexture():SetTexCoord(0.1, 0.9, 0.1, 0.9)
			CraftIcon:GetNormalTexture():SetInside()
		else
			CraftDescription:SetAlpha(0)
			CraftReagentLabel:SetAlpha(0)
			CraftIcon:SetAlpha(0)
		end

		CraftIcon:SetBackdropBorderColor(unpack(C.media.border_color))
		CraftName:SetTextColor(1, 0.80, 0.10)

		local numReagents = GetCraftNumReagents(id)
		for i = 1, numReagents, 1 do
			local _, _, reagentCount, playerReagentCount = GetCraftReagentInfo(id, i)
			local reagentLink = GetCraftReagentItemLink(id, i)
			local reagent = _G["CraftReagent"..i]
			local icon = _G["CraftReagent"..i.."IconTexture"]
			local name = _G["CraftReagent"..i.."Name"]
			local count = _G["CraftReagent"..i.."Count"]

			if reagentLink then
				local _, _, quality = GetItemInfo(string.match(reagentLink, "item:(%d+)"))
				if quality then
					icon.backdrop:SetBackdropBorderColor(GetItemQualityColor(quality))
					reagent:SetBackdropBorderColor(GetItemQualityColor(quality))
					if playerReagentCount < reagentCount then
						name:SetTextColor(0.5, 0.5, 0.5)
					else
						name:SetTextColor(GetItemQualityColor(quality))
					end
					count:ClearAllPoints()
					count:SetPoint("BOTTOMLEFT", icon, "BOTTOMLEFT", 0, 0)
				else
					reagent:SetBackdropBorderColor(unpack(C.media.border_color))
					icon.backdrop:SetBackdropBorderColor(unpack(C.media.border_color))
				end
			end
		end
	end)

	CraftFramePointsLabel:ClearAllPoints()
	CraftFramePointsLabel:SetPoint("TOPLEFT", CraftDetailScrollFrame, "BOTTOMLEFT", 5, -8)
	CraftFramePointsText:ClearAllPoints()
	CraftFramePointsText:SetPoint("LEFT", CraftFramePointsLabel, "RIGHT", 0, 0)
end

T.SkinFuncs["Blizzard_CraftUI"] = LoadSkin